> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spicerack.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete apiv1decklists 

> ViewSet for managing decklists



## OpenAPI

````yaml https://api.spicerack.gg/docs/schema delete /api/v1/decklists/{id}/
openapi: 3.0.3
info:
  title: Hydra API
  version: 1.0.0
  description: Hydra API
servers: []
security: []
paths:
  /api/v1/decklists/{id}/:
    delete:
      tags:
        - decklists
      description: ViewSet for managing decklists
      operationId: decklists_destroy
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      responses:
        '204':
          description: No response body
      security:
        - tokenAuth: []
        - cookieAuth: []
        - APIKey: []
        - APIKey: []
        - {}
components:
  securitySchemes:
    tokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"
    cookieAuth:
      type: apiKey
      in: cookie
      name: sessionid
    APIKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: 'API key in format: sk_*'

````